Subject: Add support for subproperty and __toString() in GroupedForViewHelper
Description

Problem 1:

I have an array of objects and I want to group them by a property being a ValueObject. The VH should ensure __toString() is called on
$currentGroupKey if it's an object.

Problem 2:

I have an array of objects and I want to group them by a property of a property. Let's say we have persons that are linked to a
company, I want to group them by company.name:

<f:groupedFor each="{persons}" as="personsOfCompany" groupBy="company.name" groupKey="company">

   ...

</f:groupedFor>

Associated revisions
Revision f2f70329 - 2012-01-29 18:02 - Jochen Rau 

[FEATURE] GroupedForViewHelper accepts property path as groupBy argument

This change allows the GroupedForViewHelper to accept not only a property/array key as
argument but also a property path. This reduces memory consumption for more complex
object graphs. Also, It enables a developer to create a custom algorithm (getter) to provide
the value to compare. The change is backwards compatible.

Related: #9244
Releases: 1.1
Change-Id: I09bdf4b6392540df05e1802068c87dd467dcb030

History
#1 - 2011-05-06 10:32 - Sebastian Kurfuerst
- Category set to ViewHelpers
- Has patch set to Yes

#2 - 2012-01-03 21:56 - Jochen Rau
- Status changed from New to Under Review
- Assigned To set to Jochen Rau
#3 - 2012-01-29 18:06 - Sebastian Kurfuerst
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100
